#define BUS_SPEED 3200000 /* Hz */
#define CONST (BUS_SPEED / 1000 /*ms*/ / 8 /* loop cycles*/ )  

#include <MC68HC908QT4.h> /* include peripheral declarations */

void CakajNms(unsigned char n);	//prototyp funkcie, pre jednoduchost 
								//umiestneny tu
void main(void) 
	{
	asm 			//nastavenie CONFIG bytov
		{
        PSHA;
        LDA #$1B;
        STA $001F;
        LDA #$00;
        STA $001E;
        PULA;
   		}
	DDRA_DDRA1=0xFF;	//PTA1 ako vystup
	PTA=0;
  	for(;;)
  		{
		PTA_PTA1=!PTA_PTA1;	//inverzia PTA1	
		CakajNms(250);		//cakacia slucka 250ms
  		}
	}


void Cakaj1ms(void)		//funkcia caka 1ms
	{					//priklad rutiny vhodnej 
   	asm{  				//na pouzitie assemblera
     	PSHX
     	PSHH
     	LDHX #CONST
     	cyklus:
     	AIX #-1
     	CPHX #0
     	BNE cyklus
     	PULH
     	PULX
   	   }     
}

void CakajNms(unsigned char n)	//caka 1-255ms
	{
   	unsigned char x;
   	for(x=1;x<=n;x++) Cakaj1ms();
	}
